commit:     5f5dd64dc7609ca796c3493fe65c89d444f0a264
Author:     NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Thu Feb 13 06:45:29 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 13 08:06:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f5dd64d

net-irc/iroffer-dinoex: add 3.33

Version bump fixes C99 problems with incompatible pointer types
I was unable to replicate mentioned bugs with formatting and configure,
so I can't say if they are fixed. Just mentioning them here as not happening
when I build this with GCC-15 or in clang-musl container.
For both 3.32-r2 and 3.33 versions

Closes: https://bugs.gentoo.org/923914
Bug: https://bugs.gentoo.org/789678
Bug: https://bugs.gentoo.org/800515
Bug: https://bugs.gentoo.org/830596
Bug: https://bugs.gentoo.org/914057
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40552
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-irc/iroffer-dinoex/Manifest                   |   1 +
 net-irc/iroffer-dinoex/iroffer-dinoex-3.33.ebuild | 118 ++++++++++++++++++++++
 net-irc/iroffer-dinoex/metadata.xml               |   3 +
 3 files changed, 122 insertions(+)

diff --git a/net-irc/iroffer-dinoex/Manifest b/net-irc/iroffer-dinoex/Manifest
index a514b2eb9877..ac0acc4dc045 100644
--- a/net-irc/iroffer-dinoex/Manifest
+++ b/net-irc/iroffer-dinoex/Manifest
@@ -1 +1,2 @@
 DIST iroffer-dinoex-3.32.tar.gz 1321125 BLAKE2B 
3a124d16911d97d0ec937b86c9e0ad513ebdcea5e09e4cb1a53753c03d5e13347d0bf1116bf9abe0137fb7a05bbc7a8e31c2c0da5c15cc4e0b55e067d62b1461
 SHA512 
03d662cf7eb3093b1f050eda8777011d6e7a833dc2fcf65d29ef0294a0d6ce4e2cea273e2d4e6ee6ba2364c088890ac6338a3aa8e6477d5e2a1a990a6e4e9603
+DIST iroffer-dinoex-3.33.tar.gz 540521 BLAKE2B 
abdf64dca8f9f8da76a15061c2eb26ad4c4c223f78a608725b61497efd514575e90c159790681e9ad3dd68c72a3cd27fcc0fa023eb6a57f31aa2f3464afa8704
 SHA512 
7d2a8417ee02d0462aee07013cd7d2ae196ea588d1f7e852b280d5f7cc19c91902d5ad81d32ce3041f7d21dea7ebbd7ac396209a455334d1b66d33349e725b44

diff --git a/net-irc/iroffer-dinoex/iroffer-dinoex-3.33.ebuild 
b/net-irc/iroffer-dinoex/iroffer-dinoex-3.33.ebuild
new file mode 100644
index 000000000000..505d235584b0
--- /dev/null
+++ b/net-irc/iroffer-dinoex/iroffer-dinoex-3.33.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="de en fr it"
+PLOCALE_BACKUP="en"
+
+inherit plocale toolchain-funcs
+
+DESCRIPTION="IRC fileserver using DCC"
+HOMEPAGE="https://iroffer.net/";
+SRC_URI="https://iroffer.net/${P}.tar.gz
+       https://iroffer.net/HISTORY/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+admin +blowfish +chroot curl debug geoip gnutls +http +memsave ruby ssl 
+telnet upnp"
+
+REQUIRED_USE="
+       admin? ( http )
+       gnutls? ( ssl )
+"
+
+RDEPEND="virtual/libcrypt:=
+       acct-user/iroffer
+       chroot? ( dev-libs/nss )
+       curl? (
+               net-misc/curl[ssl?]
+               gnutls? ( net-misc/curl[curl_ssl_gnutls] )
+               !gnutls? ( ssl? ( net-misc/curl[curl_ssl_openssl] ) )
+       )
+       geoip? ( dev-libs/geoip )
+       gnutls? ( net-libs/gnutls )
+       ruby? ( dev-lang/ruby:* )
+       ssl? ( !gnutls? ( dev-libs/openssl:0= ) )"
+
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       eapply "${FILESDIR}/${PN}-3.31-config.patch"
+       eapply "${FILESDIR}/${PN}-Werror.patch"
+
+       eapply_user
+
+       plocale_find_changes "" 'help-admin-' '.txt'
+}
+
+do_configure() {
+       echo ./Configure $*
+       ./Configure $* || die "configure phase failed"
+}
+
+src_configure() {
+       do_configure \
+               PREFIX="${EPREFIX}/usr" \
+               CC="$(tc-getCC)" \
+               $(!use elibc_musl && usex debug '-profiling' '' '' '')\
+               $(usex debug '-debug' '' '' '')\
+               $(usex geoip '-geoip' '' '' '')\
+               $(usex chroot '' '-no-chroot' '' '')\
+               $(usex curl '-curl' '' '' '' )\
+               $(usex gnutls  '-tls' '' '' '' '')\
+               $(usex upnp '-upnp' '' '' '')\
+               $(usex ruby '-ruby' '' '' '')\
+               $(usex blowfish '' '-no-blowfish' '' '')\
+               $(usex ssl '' '-no-openssl' '' '')\
+               $(usex http '' '-no-http' '' '')\
+               $(usex admin '' '-no-admin' '' '')\
+               $(usex telnet '' '-no-telnet' '' '')\
+               $(usex memsave '' '-no-memsave' '' '')
+}
+
+src_compile() {
+       # TODO: default compile targets always include chrooted target, which 
is not good
+       emake CC="$(tc-getCC)" $(plocale_get_locales)
+}
+
+myloc() {
+       emake DESTDIR="${D}" install-${1}
+
+       dodoc help-admin-${1}.txt
+       use http && dodoc doc/INSTALL-linux-${1}.html
+
+       insinto /etc/${PN}
+       case ${1} in
+       "de")
+               doins beispiel.config;;
+       "fr")
+               doins exemple.config;;
+       *)
+               doins sample.config;;
+       esac
+}
+
+src_install() {
+       plocale_for_each_locale myloc
+
+       dodoc README* THANKS TODO
+       doman iroffer.1 xdcc.7
+
+       newinitd "${FILESDIR}/${PN}.init" ${PN}
+       newconfd "${FILESDIR}/${PN}.conf" ${PN}
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       if use ruby; then
+               insinto /usr/share/${PN}
+               doins ruby-sample.rb
+       fi
+
+       if use http; then
+               insinto /usr/share/${PN}/htdocs
+               doins htdocs/*
+       fi
+}

diff --git a/net-irc/iroffer-dinoex/metadata.xml 
b/net-irc/iroffer-dinoex/metadata.xml
index 99fb03dc3bd0..40f360bc2560 100644
--- a/net-irc/iroffer-dinoex/metadata.xml
+++ b/net-irc/iroffer-dinoex/metadata.xml
@@ -10,4 +10,7 @@
                <flag name="memsave">Compile with memory protection</flag>
                <flag name="telnet">Compile with Telnet server support</flag>
        </use>
+       <upstream>
+               <remote-id type="github">dinoex/iroffer-dinoex</remote-id>
+       </upstream>
 </pkgmetadata>

Reply via email to